summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Owen Swerkstrom <owenswerk@gmail.com>2012-11-20 23:08:29 +0100
committer dsomero <xgizzmo@slackbuilds.org>2012-11-24 15:36:45 -0500
commitfcb0c9481656901cc0bbae5d7a46ecf9c19c7aea (patch)
treebed1807a3ba9d9b9ef6c39625f92b99081a04a25
parent8cdd915b7412de3c4241069de04d91a107d2599e (diff)
downloadslackbuilds-fcb0c9481656901cc0bbae5d7a46ecf9c19c7aea.tar.gz
slackbuilds-fcb0c9481656901cc0bbae5d7a46ecf9c19c7aea.tar.xz
games/tong: Added (action game combining tetris and pong).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--games/tong/README5
-rw-r--r--games/tong/doinst.sh3
-rw-r--r--games/tong/slack-desc19
-rw-r--r--games/tong/tong.SlackBuild98
-rw-r--r--games/tong/tong.desktop8
-rw-r--r--games/tong/tong.info10
6 files changed, 143 insertions, 0 deletions
diff --git a/games/tong/README b/games/tong/README
new file mode 100644
index 0000000000..b21a95fa7e
--- /dev/null
+++ b/games/tong/README
@@ -0,0 +1,5 @@
+TONG is a game in which you play both Tetris and Pong at the same
+time and in the same space. It is weird and difficult but strangely
+addictive.
+
+Game by Owen Swerkstrom, music by Marcus Hirt and Jared Burke.
diff --git a/games/tong/doinst.sh b/games/tong/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/tong/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/tong/slack-desc b/games/tong/slack-desc
new file mode 100644
index 0000000000..cb33a3ec5d
--- /dev/null
+++ b/games/tong/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tong: tong (action game combining tetris and pong)
+tong:
+tong: TONG is a game in which you play both Tetris and Pong at the same
+tong: time and in the same space. It is weird and difficult but strangely
+tong: addictive.
+tong:
+tong: Game by Owen Swerkstrom, music by Marcus Hirt and Jared Burke.
+tong: Requires SDL, SDL_image and SDL_mixer, all included in Slackware.
+tong:
+tong: http://nongnu.org/tong/
+tong:
diff --git a/games/tong/tong.SlackBuild b/games/tong/tong.SlackBuild
new file mode 100644
index 0000000000..bda5b7e6e8
--- /dev/null
+++ b/games/tong/tong.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+# Generated by Alien's SlackBuild Toolkit: http://slackware.com/~alien/AST
+# Copyright 2009, 2010, 2011, 2012 Eric Hameleers, Eindhoven, Netherlands
+
+# Slackware build script for tong
+# Copyright 2012 Owen Swerkstrom <owenswerk@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Modified by slackbuilds.org
+
+PRGNAM=tong
+VERSION=${VERSION:-1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG $TMP/$PRGNAM
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Use our CFLAGS
+sed -i "s|-O3|$SLKCFLAGS|" Makefile
+
+# Compile the application and install it into the $PKG directory
+make GAME_DATA_DIR=/usr/share/tong
+
+install -m 0755 -D $PRGNAM $PKG/usr/games/$PRGNAM
+install -m 0644 -D media/$PRGNAM.png \
+ $PKG/usr/share/pixmaps/$PRGNAM.png
+install -m 0644 -D $CWD/$PRGNAM.desktop \
+ $PKG/usr/share/applications/$PRGNAM.desktop
+mkdir -p $PKG/usr/share/$PRGNAM/media
+cp media/*.ogg media/*.png $PKG/usr/share/$PRGNAM/media/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG COPYING CREDITS README $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/tong/tong.desktop b/games/tong/tong.desktop
new file mode 100644
index 0000000000..791744c3bc
--- /dev/null
+++ b/games/tong/tong.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Tong
+Comment=Tong (Tetris + Pong)
+Exec=/usr/games/tong
+Icon=tong
+Terminal=false
+Type=Application
+Categories=Game;
diff --git a/games/tong/tong.info b/games/tong/tong.info
new file mode 100644
index 0000000000..577ffc1155
--- /dev/null
+++ b/games/tong/tong.info
@@ -0,0 +1,10 @@
+PRGNAM="tong"
+VERSION="1.2"
+HOMEPAGE="http://nongnu.org/tong/"
+DOWNLOAD="http://nongnu.org/tong/tong-1.2.tar.gz"
+MD5SUM="1456c03d24d5c3d0de039ecd7dac0264"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Owen Swerkstrom"
+EMAIL="owenswerk@gmail.com"